<?php



use Idearia\Logger;



class QueueRunner {



	public function run($pipeline, $payload) {



		Logger::info( "QueueRunner::run({$pipeline})" );



		switch ($pipeline) {

			case "acc_branch":

				$pipe = new PipelineAccBranch($payload);

				return $pipe->run();

			case "acc_product":

				$pipe = new PipelineAccProduct($payload);

				return $pipe->run();

		}



		return false;

	}

}